#include<bits/stdc++.h>
using namespace std;
void zamena(int A[],long long int i,long long int indeks)
{
	int temp;
	temp = A[i];
	A[i] = A[indeks];
	A[indeks] = temp;
}
void prikaz(int A[],long long int N)
{
	for(int i=0;i<N;i++)
	{
		printf("%d ",A[i]);
	}
}
main()
{
	long long int indeks,N,i,br=0,j;
	int max;
	bool izmena=false;
	scanf("%lld",&N);
	int A[N];
	for(i=0;i<N;i++)
	{
		scanf("%d",&A[i]);
	}
	max=A[br];
	for(j=0;j<N&&!izmena;j++)
	{
		max=A[br];
		for(i=br;i<N;i++)
		{
			
			if(max<=A[i])
			{
			max=A[i];
			indeks=i;
			}			
		}
		
		if(indeks!=br)
			{
				zamena(A,br,indeks);
				izmena=true;
			}
		else if(indeks==br)
		{
			br++;
		}
		if(br==N-1)
		{
			zamena(A,N-1,N-2);
		}
	}
	prikaz(A,N);
}